v2.0
post
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/lots/blinded-lots
Creates a blinded lot by study ID. Rights: LotManagementPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : BlindedLotRequestV2.0
Type:
objectTitle:
BlindedLotRequestV2.0Request object to create blinded lot with country-specific settings.
Show Source
-
blindedLotNumber(required): string
Minimum Length:
0Maximum Length:50Blinded lot number.Example:Bld-Lt-AZ -
doNotCount: number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not count (DNC) days.Example:10 -
doNotShip: number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not ship (DNS) days.Example:50 -
expirationDate(required): string
(date)
Expiration date of the blinded lot.Example:
2022-04-01 -
manufacturingLotIds: array
manufacturingLotIds
IDs of manufacturing lots associated with the blinded lot.
-
settingsByCountry: array
settingsByCountry
-
shortName: string
Minimum Length:
0Maximum Length:50Blinded lot short name.Example:BlindedLot-01
Nested Schema : manufacturingLotIds
Type:
arrayIDs of manufacturing lots associated with the blinded lot.
Show Source
Example:
[
"392DA9F053E94B9B9339AC7D0FA0D1DB"
]Nested Schema : settingsByCountry
Type:
Show Source
arrayExample:
[
{
"countryIso":"US",
"doNotShip":50,
"doNotCount":10
}
]Nested Schema : CountrySupplySettings
Type:
Show Source
object-
countryIso(required): string
ISO 3166-1 alpha-2 country code.Example:
US -
doNotCount(required): number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not count (DNC) days.Example:10 -
doNotShip(required): number
(BigDecimal)
Minimum Value:
0Maximum Value:99999Do not ship (DNS) days.Example:50
Example:
{
"countryIso":"US",
"doNotShip":50,
"doNotCount":10
}Examples
Back to Top
Response
Supported Media Types
- application/json
201 Response
Successful operation
Root Schema : BlindedLotId
Type:
objectContains blinded lot id.
Show Source
-
id: string
(uuid)
Unique Id for blinded lot.
Examples
400 Response
Blinded lot number or lot short name already exists. OR Expiration date is not valid. OR Invalid lot. OR Lot belongs to a blinded lot.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
403 Response
The study identifier does not match any study identifiers in Clinical One
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples